/* -------------------------------------------------------
                         tigertest.c

     Grafik-Demoprogramm zum Anzeigen eines grosseren
     PCX-Bildes, Aufloesung 320x240

     MCU   :  STM32F411RET

     27.08.2019  R. Seelig
   ------------------------------------------------------ */

#include <stdint.h>
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>

#include <libopencm3.h>

#include "sysf4x1_init.h"
#include "./tftdisplay.h"
#include "my_printf.h"
#include "gfx_pictures.h"

#include "tigerpal.c"
#include "tigerpcx.c"

#define printf    my_printf


/* --------------------------------------------------------
   my_putchar

   wird von my-printf / printf aufgerufen und hier muss
   eine Zeichenausgabefunktion angegeben sein, auf das
   printf dann schreibt !
   -------------------------------------------------------- */
void my_putchar(char ch)
{
  lcd_putchar(ch);
}


int main(void)
{
  sys_init(MHZ120, extern_clock);
  lcd_init();
  lcd_orientation(1);                // Display groesser 320x240
  setfont(1);

  bkcolor= rgbfromega(15);
  clrscr();
  textcolor= rgbfromega(0);
  gotoxy(0,4);
  printf(" PCX-Grafiktest\n\r auf einem STM32F411\n\r und einem ueber 80k \n\r grossen Image");
  delay(2000);
  pcx256_show(0, 0, &tigerpcx[0],&tigerpal[0]);

  while(1);
}
